package com.ruoyi.logistics.service;

import java.io.UnsupportedEncodingException;
import java.util.List;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.ruoyi.logistics.domain.BizWaybillOrder;

/**
 * 运单管理Service接口
 * 
 * @author RuiJing
 * @date 2026-01-29
 */
public interface IBizWaybillOrderService 
{
    /**
     * 查询运单管理
     * 
     * @param waybillId 运单管理主键
     * @return 运单管理
     */
    public BizWaybillOrder selectBizWaybillOrderByWaybillId(Long waybillId);

    /**
     * 查询运单管理列表
     * 
     * @param bizWaybillOrder 运单管理
     * @return 运单管理集合
     */
    public List<BizWaybillOrder> selectBizWaybillOrderList(BizWaybillOrder bizWaybillOrder);

    /**
     * 新增运单管理
     * 
     * @param bizWaybillOrder 运单管理
     * @return 结果
     */
    public int insertBizWaybillOrder(BizWaybillOrder bizWaybillOrder) throws UnsupportedEncodingException, JsonProcessingException;

    /**
     * 修改运单管理
     * 
     * @param bizWaybillOrder 运单管理
     * @return 结果
     */
    public int updateBizWaybillOrder(BizWaybillOrder bizWaybillOrder) ;

    /**
     * 批量删除运单管理
     * 
     * @param waybillIds 需要删除的运单管理主键集合
     * @return 结果
     */
    public int deleteBizWaybillOrderByWaybillIds(Long[] waybillIds);

    /**
     * 删除运单管理信息
     * 
     * @param waybillId 运单管理主键
     * @return 结果
     */
    public int deleteBizWaybillOrderByWaybillId(Long waybillId);

    /**
     * 根据订单信息查询运单详情
     * @param query
     * @return
     */
    public BizWaybillOrder selectBizWaybillOrderByQuery(BizWaybillOrder query);

    void updateBizWaybillOrderState(BizWaybillOrder bizWaybillOrder);

    int canceleBizWaybillOrder(BizWaybillOrder bizWaybillOrder) throws UnsupportedEncodingException;
}
